Managed Service for Greenplum® API, REST: Cluster.ListBackups
Retrieves a list of available backups for the specified Greenplum® cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/backups
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Greenplum® cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"backups": [
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"sourceClusterId": "string",
"startedAt": "string",
"size": "string",
"type": "string",
"method": "string",
"journalSize": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
backups[] |
List of Greenplum® backups. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. |
Backup
|
Field |
Description |
|
id |
string Required field. Required. ID of the backup. |
|
folderId |
string ID of the folder that the backup belongs to. |
|
createdAt |
string (date-time) Time when the backup operation was completed. String in RFC3339 To work with values in this field, use the APIs described in the |
|
sourceClusterId |
string ID of the Greenplum® cluster that the backup was created for. |
|
startedAt |
string (date-time) Time when the backup operation was started. String in RFC3339 To work with values in this field, use the APIs described in the |
|
size |
string (int64) Size of the backup in bytes. |
|
type |
enum (BackupCreationType) How this backup was created (manual/automatic/etc...).
|
|
method |
enum (BackupMethod) Method of backup creation.
|
|
journalSize |
string (int64) Size of the journal associated with backup, in bytes. |